import type { RouteRecordRaw } from 'vue-router';
import LoginLayout from 'layouts/LoginLayout/LoginLayoutIndex.vue';
import MainLayout from 'layouts/MainLayout/MainLayoutIndex.vue';

const routes: RouteRecordRaw[] = [
  {
    path: '/login',
    name: 'login',
    component: () => LoginLayout,
  },
  {
    path: '/',
    component: () => MainLayout,
    children: [{ path: '', component: () => import('pages/IndexPage.vue') }],
  },
  {
    path: '/pageOne',
    component: () => MainLayout,
    children: [{ path: '', component: () => import('pages/PageOne.vue') }],
  },
  {
    path: '/pageTwo',
    component: () => MainLayout,
    children: [{ path: '', component: () => import('pages/PageTwo.vue') }],
  },
  {
    path: '/pageThree',
    component: () => MainLayout,
    children: [{ path: '', component: () => import('pages/PageThree.vue') }],
  },
  // Always leave this as last one,
  // but you can also remove it
  {
    path: '/:catchAll(.*)*',
    component: () => import('pages/ErrorNotFound.vue'),
  },
];

export default routes;